from twisted.web import resource, static
import cgi, logging
from nevow import rend, tags, loaders, flat
import os, sys


log = logging.getLogger("Webgui")
curdir=os.path.abspath(os.path.dirname(sys.argv[0]))
template_path = curdir+'/Web/html/Guest/'

class Page(rend.Page):
   
   addSlash=True
   docFactory = loaders.xmlfile('notimpl.html', templateDir=template_path)

   def __init__(self, avatarId=None):
      self.avatarId = avatarId
      rend.Page.__init__(self)

   def childFactory(self, ctx, data):
      return self.childPermissionDenied()
